Commit d9cd11ad authored by Martin Storsjö's avatar Martin Storsjö Committed by Ramiro Polla
Browse files

Only define _WIN32_WINNT=0x0501 if $target_os = "mingw32".

If compatibility with pre-XP versions is desired, use
--target-os=mingw32-prexp
Patch by Martin Storsjö <martin at martin dot st>.

Originally committed as revision 21441 to svn://svn.ffmpeg.org/ffmpeg/trunk
parent 0b69d625
......@@ -2075,8 +2075,11 @@ case $target_os in
{ check_cflags -mdynamic-no-pic && add_asflags -mdynamic-no-pic; }
;;
mingw32*)
# Only WinXP or greater are supported
add_cflags -D_WIN32_WINNT=0x0501
# Adding _WIN32_WINNT=0x0501 makes functions that require
# XP visible and thus may make it binary incompatible with
# earlier versions. Set --target-os=mingw32-prexp if this
# isn't desired.
test $target_os = "mingw32" && add_cflags -D_WIN32_WINNT=0x0501
if test $target_os = "mingw32ce"; then
disable network
else
......
......@@ -998,8 +998,8 @@ and for a build with shared libraries
@subsection Win9x/Win2000 support
FFmpeg is built by default for Windows XP and above. To run it on any Windows
version prior to XP, you may have to disable network support. Additionally, for
Windows 98/Me you must install KernelEx from:
version prior to XP, you must use @code{--target-os=mingw32-prexp}.
Additionally, for Windows 98/Me you must install KernelEx from:
http://sourceforge.net/projects/kernelex/
@section BeOS
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment